%define glib2_base_version 2.0.6
%define glib2_version %{glib2_base_version}-3

Summary: Interfaces for accessibility support.
Name: atk
Version: 1.2.4
Release: 3.0
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v2.0/atk-%{version}.tar.bz2
URL: http://developer.gnome.org/projects/gap/
BuildRoot: %{_tmppath}/atk-%{PACKAGE_VERSION}-root
BuildPreReq: glib2-devel >= %{glib2_version}
BuildPreReq: libtool
BuildPreReq: /usr/bin/autoconf
BuildPreReq: /usr/bin/aclocal-1.4

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package devel
Summary: System for layout and rendering of internationalized text.
Group: Development/Libraries
Requires: atk = %{PACKAGE_VERSION}
Requires: glib2-devel >= %{glib2_version}

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%prep
%setup -q

%build

# Atk 1.2.4 was built with libtool-1.4.3, which doesn't have relink fixes
aclocal-1.4
libtoolize --force
autoconf

%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang atk10

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f atk10.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/libatk*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libatk*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/

%changelog
* Wed Jul  9 2003 Owen Taylor <otaylor@redhat.com> 1.2.4-3.0
- Remove specific version requirement from libtool

* Tue Jul  8 2003 Owen Taylor <otaylor@redhat.com> 1.2.4-2.0
- Bump for rebuild

* Tue Jun 10 2003 Owen Taylor <otaylor@redhat.com> 1.2.4-1
- Version 1.2.4

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 20 2002 Owen Taylor <otaylor@redhat.com>
- Package documentation, instead of blowing it away
- Version 1.2.0

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 1.0.3-3
- remove unpackaged files from the buildroot

* Mon Oct  7 2002 Havoc Pennington <hp@redhat.com>
- require glib 2.0.6-3

* Wed Jul 31 2002 Owen Taylor <otaylor@redhat.com>
- Remove fixed-ltmain.sh
- Version 1.0.3

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 04 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 24 2002 Havoc Pennington <hp@redhat.com>
 - rebuild in different environment

* Wed Apr  3 2002 Alex Larsson <alexl@redhat.com>
- Update to version 1.0.1

* Fri Mar  8 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.0.0

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 0.13

* Thu Feb 21 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Mon Feb 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.14

* Fri Feb 15 2002 Havoc Pennington <hp@redhat.com>
- add horrible buildrequires hack

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.12.90 cvs snap

* Tue Jan 29 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.10

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new snap 0.8.90

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- rebuild with glib hacked to work on 64-bit

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- Version 0.7
- add explicit check for required glib2 version before we do the build,
  so we don't end up with bad RPMs on --nodeps builds

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild due to hosage on ia64 build system causing link to old glib

* Thu Oct 25 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.6

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- 0.5
- sync with Owen's version

* Wed Sep 19 2001 Havoc Pennington <hp@redhat.com>
- 0.4
- fix requires
- --enable-static
- put static libs back in file list

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Wed Sep 05 2001 Havoc Pennington <hp@redhat.com>
- require specific pango version
- fix ltmain.sh to destroy all relinking BS

* Tue Sep  4 2001 root <root@dhcpd37.meridian.redhat.com>
- Version 0.2

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Configure with --disable-gtk-doc

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add post- and postun-sections running ldconfig

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  4 2001 Owen Taylor <otaylor@redhat.com>
- Initial version
